# ServerTickStartEvent (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: com.destroystokyo.paper.event.server, class: ServerTickStartEvent

Package com.destroystokyo.paper.event.server

# Class ServerTickStartEvent

java.lang.Object
org.bukkit.event.Event
com.destroystokyo.paper.event.server.ServerTickStartEvent

public class ServerTickStartEvent extends Event

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`ServerTickStartEvent(int tickNumber)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`int`
`getTickNumber()`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ServerTickStartEvent

public ServerTickStartEvent(int tickNumber)

## Method Details

### getTickNumber

public int getTickNumber()

Returns:
  What tick this is going be since start (first tick = 1)

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()